Productsup
CDE APIApi referencePlatform

Show target accounts, projects and sites for connector version

All the accounts, projects and sites provided are accounts, projects and sites where an integrator would be able to release a connector in production

Sign in to run requests against the CDE API.
GET
/connectors/{publicId}/versions/{connectorVersion}/targets

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Response Body

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/targets"
{
  "message": "Available connector target accounts, projects and sites.",
  "data": {
    "accounts": [
      {
        "id": 123,
        "name": "account name 123"
      },
      {
        "id": 456,
        "name": "account name 456"
      },
      {
        "id": 789,
        "name": "__NULL__"
      }
    ],
    "projects": [
      {
        "id": 1456,
        "name": "__NULL__"
      },
      {
        "id": 1789,
        "name": "project name 1789"
      }
    ],
    "sites": [
      {
        "id": 2123,
        "name": "__NULL__"
      },
      {
        "id": 2789,
        "name": "site name 2789"
      }
    ]
  }
}
{
  "message": "Backoffice API responded with invalid target accounts information.",
  "errors": []
}
{
  "message": "Access denied for user."
}

How is this guide?